@import url(font.css);
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
     -webkit-tap-highlight-color: transparent !important;
    /* -webkit-tap-highlight-color: rgba(0,0,0,0) !important; */
    outline: none !important;
}


a, button, input, textarea, div {
    -webkit-tap-highlight-color: transparent !important;
    outline: none !important;
    /* -webkit-user-select: none; */
}
.container{
    width: 1100px;
    margin: 0 auto;
}

.header{
    width: 100%;
    background: url(../img/backgroud.jpg)no-repeat center/cover;
    height: 100vh;
}
.header__content{
    height: 100vh;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.header__content-box{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.header__content-title{
    color: white;
    font-size: 200px;
    font-family: 'Game';
    letter-spacing: 2px;
    margin-bottom: 90px;
    text-shadow: -2px -2px 0 #000, 2px -2px 0 #000, -2px  2px 0 #000, 2px  2px 0 #000;
}
#start-btn{
    width: 250px;
    height: 50px;
    background: #fff;
    border: 2px solid black;
    font-size: 22px;
    font-family: 'Game';
    text-transform: uppercase;
    letter-spacing: 3px;
    cursor: pointer;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    outline: none;
    margin-bottom: 25px;
}
#reting-btn{
    width: 250px;
    height: 50px;
    padding: 0 0 2px 20px;
    text-align: center;
    background: #fff;
    border: 2px solid black;
    font-size: 20px;
    font-family: 'Game';
    text-transform: uppercase;
    letter-spacing: 3px;
    cursor: pointer;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    outline: none;
}
#reting-btn:active {
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
#start-btn:active {
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.header__content-top{
    position: absolute;
    top: 50px;
    right: 100px;
    width: 150px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
}
.music{
    width: 40px;
    height: 40px;
    font-size: 18px;
    outline: none;
    border: 2px solid black;
    cursor: pointer;
    box-shadow: 3px 3px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
}
.loginBtn{
    width: 40px;
    height: 40px;
    border: 2px solid black;
    cursor: pointer;
    box-shadow: 3px 3px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    position: relative;
}
.login__list{
    width: 300px;
    height: 250px;
    position: absolute;
    top: 200px;
    right: 240px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    background: white;
    overflow: hidden;
    opacity: 0;
    transition: 0.3s;
}
.on__active{
    animation: opatic 1s ease-in-out ;
    animation-fill-mode: forwards;
}
@keyframes opatic{
    0%{
        opacity: 0.1;
    }
    100%{
        opacity: 1;
    }
}
.telegram__icon{
    width: 40px;
    height: 40px;
    font-size: 22px;
    color: #229ED9;
    border: 2px solid black;
    cursor: pointer;
    box-shadow: 3px 3px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
}
.login i {
    font-size: 22px;
    color: black;
}
.loginBtn:active {
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.telegram__icon:active{
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.music:active {
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.quiz{
    background: url(../img/backgroud.jpg)no-repeat center/cover;
    height: 100vh;
}
.quiz__container{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.quiz__content{
    width: 600px;
    height: 700px;
    /* background: #e0e0e0; */
    border: 5px solid black;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.1); 
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px); 
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}
.quiz__content-top{
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 20px
}
.quiz__content-time{
    background: #fff;
    width: 200px;
    max-width: 200px;
    font-size: 25px;
    line-height: 150%;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    border: 5px solid black;
    color: black;
    padding-left: 8px;
}
#countSavol{
    background: #fff;
    width: 200px;
    max-width: 200px;
    font-size: 25px;
    line-height: 150%;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    border: 5px solid black;
    color: black;
    padding-left: 8px;
    font-family: 'Game';;
}
#modalSavol{
    width: 84%;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    border: 5px solid black;
    background: #fff;
    padding: 36px;
    height: 110px;
    font-size: 25px;
    font-family: sans-serif;
    margin-bottom: 60px;
}
.quiz__content-btns{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.quiz__content-btn{
    width: 250px;
    padding: 10px 20px;
    font-size: 25px;
    cursor: pointer;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    outline: none;
    border: 2px solid black;
}
.quiz__content-btn:active{
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.end-title{
    font-size: 30px;
    margin-bottom: 5px;
    width: 250px;
    padding: 10px 20px;
    background: #fff;
    text-align: center;
    font-family: 'Game';
    letter-spacing: 3px;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    border: 2px solid black;
}
.book{
    background: url(../img/test__books-bg.jpg)no-repeat center/cover;
    height: 100vh;
    display: flex;
    flex-direction:column ;
    align-items: center;
    justify-content: center;
    position: relative;
}
.book__content{
    width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-around;
}
.book__content-card img  {
    width: 300px;
    height: 400px;
    box-shadow: 8px 8px 0px 0px rgba(0, 0, 0, 1);
    border: 5px solid white;
}.header__unite{
    height: 100vh;
    background: url(../img/test__unite-bg.jpg)no-repeat center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
}
.unite{
    width: 800px;
    height: 700px;
    background: #e0e0e0; 
    border: 5px solid black;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}
.unite__content{
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-right: 10px;
}
.unite__content::-webkit-scrollbar{
    width: 7px;
}
.unite__content::-webkit-scrollbar-track{
    background: none;
    border-radius: 10px;
}
.unite__content::-webkit-scrollbar-thumb {
    background: #4caf50; 
    border-radius: 10px;
    border: 2px solid #f0f0f0; 
}
.unite__content::-webkit-scrollbar-thumb:hover {
    background: #388e3c;
}
.unite__content-item{
    width: 100%;
    font-size: 25px;
    text-align: center;
    text-transform: uppercase;
    font-family: 'Game';
    padding: 20px;
    transition: 0.2s all;
    border: 3px solid black;
    color: black;
    border-radius: 30px;
}
.unite__content-item:hover{
    background: #f0f0f0;
    color: pink;
    font-size: 30px;
}
.quiz_actions{
    display: flex;
    justify-content: space-between;
    width: 400px;
    margin-top: 100px;
}
.btn-home{
    width: 150px;
    height: 50px;
    background: #fff;
    border: 2px solid black;
    font-size: 22px;
    font-family: 'Game';
    text-transform: uppercase;
    letter-spacing: 3px;
    cursor: pointer;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    outline: none;
}
.restart{
    width: 150px;
    height: 50px;
    background: #fff;
    border: 2px solid black;
    font-size: 16px;
    font-family: 'Game';
    text-transform: uppercase;
    letter-spacing: 3px;
    cursor: pointer;
    box-shadow: 5px 5px 0px 0px rgba(0, 0, 0, 1);
    transition: all 0.1s ease;
    outline: none;
}
.btn-home:active{
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}
.restart:active{
    box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 1);
    transform: translate(5px, 5px);
    background-color: #e0e0e0;
}